%define major 2.31
%define _unpackaged_files_terminate_build 1

Name: libgdl
Version: %major.2
Release: alt1

Summary: Gnome docking library (GDL)

License: %gpl2plus
Group: System/Libraries
Url: http://www.gnome.org

Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Source: %name-%version.tar
Patch0: %name-%version-%release.patch

Provides: gdl = %version

BuildRequires(pre): rpm-build-licenses rpm-build-gnome
# From configure.in
BuildPreReq: gnome-common
BuildPreReq: libgtk+2-devel >= 2.19.7
BuildPreReq: libxml2-devel >= 2.2.8
BuildPreReq: intltool >= 0.35.0
BuildPreReq: gtk-doc >= 1.4
BuildPreReq: gobject-introspection-devel >= 0.6.7 libgtk+2-gir-devel
BuildRequires: gcc-c++

%description
GDL contains components and libraries that are intended to be
shared between GNOME development tools, including gnome-debug,
gnome-build, and anjuta.  Currently GDL include:

  o A symbol browser bonobo component (symbol-browser-control).
  o A docking widget (gdl).
  o A utility library that also contains the stubs and skels for
    the symbol browser and text editor components (gdl, idl).

%package gir
Summary: GObject introspection data for the gdl library
Group: System/Libraries
Requires: %name = %version-%release

%description gir
GObject introspection data for the WebkitGTK library

%package gir-devel
Summary: GObject introspection devel data for the gdl library
Group: Development/GNOME and GTK+
BuildArch: noarch
Requires: %name-gir = %version-%release

%description gir-devel
GObject introspection devel data for the gdl library


%package devel
Summary: Gnome Devtool Libraries
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
GDL contains components and libraries that are intended to be
shared between GNOME development tools, including gnome-debug,
gnome-build, and anjuta.

This package contains headers and other development files needed
to develop/compile applications that need GNOME development tools.

%package devel-doc
Summary: Development documentation for gdl
Group: Development/GNOME and GTK+
Conflicts: %name < %version-%release
BuildArch: noarch

%description devel-doc
This package provides development documentation for gdl.


%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q
%patch0 -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure --enable-gtk-doc --disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang gdl-1

%check
%make check

%files -f gdl-1.lang
%doc README
%dir %_datadir/gdl/
%dir %_datadir/gdl/ui
%_datadir/gdl/ui/*.ui
%_libdir/lib*.so.*

%files gir
%_typelibdir/*.typelib

%files gir-devel
%_girdir/*.gir

%files devel
%doc AUTHORS ChangeLog MAINTAINERS NEWS
%dir %_includedir/%name-1.0
%dir %_includedir/%name-1.0/gdl
%_includedir/%name-1.0/gdl/*
%_libdir/lib*.so
%_pkgconfigdir/*.pc

%files devel-doc
%_gtk_docdir/*

%changelog
* Wed Apr 20 2011 Alexey Shabalin <shaba@altlinux.ru> 2.31.2-alt1
- 2.31.2

* Thu Nov 25 2010 Igor Vlasenko <viy@altlinux.ru> 2.30.0-alt1.qa1
- rebuild using girar-nmu to require/provide setversion.
  by request of mithraen@

* Wed Apr 28 2010 Alexey Shabalin <shaba@altlinux.ru> 2.30.0-alt1
- 2.30.0
- packaged gtk-doc files as noarch subpackage
- add gir and gir-devel subpackages
- updated buildreqs

* Tue Dec 15 2009 Alexey Rusakov <ktirf@altlinux.org> 2.28.2-alt1
- New version (2.28.2), rebased to 2.28 branch.
- Updated and cleaned up buildreqs.

* Fri Sep 11 2009 Alexey Rusakov <ktirf@altlinux.org> 2.26.2-alt2
- Moved 'make check' to %%check section (supported by the latest ALT rpm
  build), so one can disable checks by building with --disable-check.

* Mon May 25 2009 Alexey Rusakov <ktirf@altlinux.org> 2.26.2-alt1
- New version (2.26.2).
- Moved to git.
- Replaced autoreconf with ./autogen.sh to fix building with automake_1.11.
- Added an explicit --enable-gtk-doc to configure flags (it is off by
  default now).

* Fri Apr 10 2009 Alexey Rusakov <ktirf@altlinux.org> 2.26.0-alt1
- New version (2.26.0).
- Added 'make check' invocation after the build

* Thu Dec 25 2008 Alexey Rusakov <ktirf@altlinux.org> 2.24.0-alt2
- Removed no more needed ldconfig calls in rpm scriplets.

* Thu Nov 06 2008 Alexey Rusakov <ktirf@altlinux.org> 2.24.0-alt1
- New version (2.24.0).

* Sun Jul 06 2008 Alexey Rusakov <ktirf@altlinux.org> 0.7.11-alt1
- New version (0.7.11).

* Mon Feb 11 2008 Alexey Rusakov <ktirf@altlinux.org> 0.7.9-alt1
- New version (0.7.9).

* Tue Jan 29 2008 Alexey Rusakov <ktirf@altlinux.org> 0.7.8-alt1
- New version (0.7.8).
- Use rpm-build-licenses, rpm-build-gnome and %%autoreconf.

* Wed Aug 15 2007 Alexey Rusakov <ktirf@altlinux.org> 0.7.7-alt1
- new version 0.7.7 (with rpmrb script)

* Mon Jun 25 2007 Alexey Rusakov <ktirf@altlinux.org> 0.7.6-alt1
- new version (0.7.6)
- libgdl-gnome linkage fixed in upstream, no more patch needed.

* Sun May 06 2007 Alexey Rusakov <ktirf@altlinux.org> 0.7.4-alt1
- new version (0.7.4)
- updated dependencies

* Tue Apr 03 2007 Alexey Rusakov <ktirf@altlinux.org> 0.7.3-alt2
- fixed the linking patch (gdl-icons.h got accidentally left out in the cold).
- added _unpackaged_files_terminate_build macro.

* Sat Mar 31 2007 Alexey Rusakov <ktirf@altlinux.org> 0.7.3-alt1
- new version (0.7.3)
- spec cleanup

* Mon Feb 12 2007 Alexey Rusakov <ktirf@altlinux.org> 0.7.2-alt1
- new version (0.7.2)

* Thu Jan 25 2007 Alexey Rusakov <ktirf@altlinux.org> 0.7.1-alt1
- new version 0.7.1 (with rpmrb script)
- added a patch to fix linking of libgdl-gnome

* Tue May 16 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.6.1-alt1
- new version (0.6.1)

* Tue Mar 28 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt2
- NMU: cleanup spec, add Url, add URL to Source, use major version
- update buildreq, use make_build
- remove COPYING (pure GPL) from doc
- add Packager tag
- rename spec to libgdl

* Thu Jun 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.6.0-alt1
- New upstream version.

* Mon May 16 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.5.0-alt1
- New upstream version.
- Switched from CVS to tarball sources.

* Sun Feb 20 2005 Vladimir Lettiev <crux@altlinux.ru> 0.4.0-alt1.1.cvs20040220
- version from cvs

* Fri Feb 18 2005 Vladimir Lettiev <crux@altlinux.ru> 0.4.0-alt1
- First build for ALTLinux

